from .base import Translator
from .translation import TranslationResult

class LinearTranslator(Translator):
    def loss(self, value):
        return TranslationResult(backend_kwargs={'loss': value}, wrapper_kwargs={})
    
    def max_params(self, value):
        return TranslationResult(backend_kwargs={'max_params': value}, wrapper_kwargs={})